@echo off
rem Run all the MPI processes in a single console window.
rem This version works better from the command line,
rem the other version works better from an editor.
if ``%1'' == ``'' goto HELP
if ``%2'' == ``'' goto HELP

set PMI_ROOT_HOST=%COMPUTERNAME%
set PMI_ROOT_PORT=9222
set PMI_ROOT_LOCAL=1
set PMI_RANK=-1
set PMI_SIZE=%1
set PMI_KVS=mpich2

for /L %%G in (1,1,%1) do (
   if %%G equ %1 (
     set /A PMI_RANK+=1 & start /B /WAIT %2 %3 %4 %5 %6 %7 %8
   ) else (
     set /A PMI_RANK+=1 & start /B %2 %3 %4 %5 %6 %7 %8
   )
)
goto DONE
:HELP
echo usage: mpi-run1 size mpi-program
:DONE
